Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# gnStringHeader Class Reference

gnStringHeader stores sequence related header information in memory. More...

`#include <gnStringHeader.h>`

Inheritance diagram for gnStringHeader::

List of all members.

## Public Methods
| gnStringHeader ()
| Empty constructor. More...
| gnStringHeader (const string &name, const string &header)
| Create a gnStringHeader. More...
| gnStringHeader (const gnStringHeader &s)
| Copy constructor. More...
| ~gnStringHeader ()
| Destructor, frees memory. More...
gnStringHeader* | Clone () const
string | GetHeader () const
| Get the header. More...
string | GetHeaderName () const
| Get the header's name, if any. More...
void | SetHeader (const string &header)
| Set the header stored in this class. More...
void | SetHeaderName (const string &name)
| Set the header's name stored in this class. More...
uint32 | GetLength () const
| Get the header's length in bytes. More...
## Private Attributes
string | m_name
string | m_header

## Detailed Description

gnStringHeader stores sequence related header information in memory.

Use gnStringHeader for a general purpose headers.

See also:
  gnBaseHeader

Definition at line 28 of file gnStringHeader.h.

## Constructor & Destructor Documentation

gnStringHeader::gnStringHeader ( | )`[inline]`

| Empty constructor. Definition at line 74 of file gnStringHeader.h. Referenced by Clone().

gnStringHeader::gnStringHeader ( | const string & name,
| const string & header )`[inline]`

  | Create a gnStringHeader. Parameters:
  name | The header name.
  header | The header.
Definition at line 78 of file gnStringHeader.h.

gnStringHeader::gnStringHeader ( | const gnStringHeader & s )`[inline]`

  | Copy constructor. Parameters:
  s | The gnStringHeader to copy.
Definition at line 83 of file gnStringHeader.h.

gnStringHeader::~gnStringHeader ( | )`[inline]`

| Destructor, frees memory. Definition at line 49 of file gnStringHeader.h.

## Member Function Documentation

gnStringHeader * gnStringHeader::Clone ( | ) const`[inline, virtual]`

| Reimplemented from gnBaseHeader. Definition at line 87 of file gnStringHeader.h.

string gnStringHeader::GetHeader ( | ) const`[inline, virtual]`

| Get the header. Returns: The header as a string. Reimplemented from gnBaseHeader. Definition at line 91 of file gnStringHeader.h.

string gnStringHeader::GetHeaderName ( | ) const`[inline, virtual]`

| Get the header's name, if any. Returns: The header name as a string. Reimplemented from gnBaseHeader. Definition at line 95 of file gnStringHeader.h.

uint32 gnStringHeader::GetLength ( | ) const`[inline, virtual]`

| Get the header's length in bytes. Returns: The length of the header. Reimplemented from gnBaseHeader. Definition at line 107 of file gnStringHeader.h.

void gnStringHeader::SetHeader ( | const string & header )`[inline]`

  | Set the header stored in this class. Parameters:
  header | The header as a string.
Definition at line 99 of file gnStringHeader.h.

void gnStringHeader::SetHeaderName ( | const string & name )`[inline]`

  | Set the header's name stored in this class. Parameters:
  name | The header name as a string.
Definition at line 103 of file gnStringHeader.h.

## Member Data Documentation

string gnStringHeader::m_header`[private]`

| Definition at line 70 of file gnStringHeader.h.

string gnStringHeader::m_name`[private]`

| Definition at line 69 of file gnStringHeader.h.

The documentation for this class was generated from the following file:

- gnStringHeader.h